6.0.0-git
2021-01-18

[#11690] Admin - User Management - adding and deleting do not work
Summary Admin - User Management - adding and deleting do not work
Queue Horde Base
Queue Version 5.0.1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org, slusarz (at) horde (dot) org
Requester aloyse.gilbert (at) gmail (dot) com
Created 2012-11-12 (2989 days ago)
Due
Updated 2012-11-14 (2987 days ago)
Assigned 2012-11-13 (2988 days ago)
Resolved 2012-11-14 (2987 days ago)
Milestone 5.0.2
Patch Yes

History
2012-11-14 10:37:27 Jan Schneider Assigned to Michael Slusarz
State ⇒ Resolved
Milestone ⇒ 5.0.2
 
2012-11-14 10:37:19 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 6938cb9ff02cd75306a65a9fc84de5c96207d6bf
Author: Jan Schneider <jan@horde.org>
Date:   Wed Nov 14 11:36:49 2012 +0100

     [jan] Fix adding user in admin actions (Bug #11690).

  horde/admin/user.php               |    3 ++-
  horde/docs/CHANGES                 |    1 +
  horde/package.xml                  |   10 +++++-----
  horde/templates/admin/user/add.inc |    3 ---
  4 files changed, 8 insertions(+), 9 deletions(-)

http://git.horde.org/horde-git/-/commit/6938cb9ff02cd75306a65a9fc84de5c96207d6bf
2012-11-13 22:45:58 Michael Slusarz Comment #4
Assigned to Jan Schneider
State ⇒ Assigned
Priority ⇒ 2. Medium
Reply to this comment
Fixed the remove action (AFAICT, this has been broken since we 
converted to git).

As for the add issue: that command was explicitly removed by Jan in 
this commit:

commit 41f42830f21b9cd245877f074495a845543aa7ed
Author: Jan Schneider <jan@horde.org>
Date:   Tue Nov 6 21:14:33 2012 +0100

     [jan] Fix form for editing and removing of users.


So I will leave that part of this ticket for him to address.
2012-11-13 22:43:40 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 89a0346bc26856280569cfc5c95b67315ec957bc
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 13 15:42:53 2012 -0700

     [mms] Fix removing user in admin actions (Bug #11690).

  horde/docs/CHANGES                    |    1 +
  horde/package.xml                     |    2 ++
  horde/templates/admin/user/remove.inc |    2 ++
  3 files changed, 5 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/89a0346bc26856280569cfc5c95b67315ec957bc
2012-11-13 05:25:37 burkhard (at) knippenberg (dot) eu Comment #2 Reply to this comment
Hi,

I can confirm the bug. In addition: Trying to add a user leads to a 
removal of the user from the database, if the username already exists.

Configuration:

$conf['auth']['admins'] = array('xxx');
$conf['auth']['checkip'] = true;
$conf['auth']['checkbrowser'] = true;
$conf['auth']['resetpassword'] = true;
$conf['auth']['alternate_login'] = false;
$conf['auth']['redirect_on_logout'] = false;
$conf['auth']['list_users'] = 'list';
$conf['auth']['params']['driverconfig'] = 'horde';
$conf['auth']['params']['encryption'] = 'ssha';
$conf['auth']['params']['show_encryption'] = false;
$conf['auth']['driver'] = 'sql';
$conf['auth']['params']['count_bad_logins'] = false;
$conf['auth']['params']['login_block'] = false;
$conf['auth']['params']['login_block_count'] = 5;
$conf['auth']['params']['login_block_time'] = 5;
$conf['signup']['params']['driverconfig'] = 'horde';
$conf['signup']['driver'] = 'Sql';
$conf['signup']['approve'] = true;
$conf['signup']['allow'] = true;

IMHO this bug should have a high priority!

[Show Quoted Text - 41 lines]
2012-11-12 14:18:11 aloyse (dot) gilbert (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Admin - User Management - adding and deleting do not work
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ Yes
Reply to this comment
Hi,

adding and removing users does not work on the Admin Page.
seems that some input fields are missing in the add.inc and remove.inc 
template files.

the following changes solve the problem at the first glance, but I 
don't have any ideas about side-effects and so on...

below is a diff against the master branch.hope it helps.

ag

------------------------------------------------------------

diff --git a/horde/templates/admin/user/add.inc 
b/horde/templates/admin/user/add.inc
index a0d42ba..c19ff1e 100644
--- a/horde/templates/admin/user/add.inc
+++ b/horde/templates/admin/user/add.inc
@@ -1,3 +1,4 @@
  <?php
+$vars->set('form', 'add');
  $renderer = new Horde_Form_Renderer();
  $addForm->renderActive($renderer, $vars, Horde::selfUrl(), 'post');
diff --git a/horde/templates/admin/user/remove.inc 
b/horde/templates/admin/user/remove.inc
index 35540f5..7745e4e 100644
--- a/horde/templates/admin/user/remove.inc
+++ b/horde/templates/admin/user/remove.inc
@@ -1,5 +1,6 @@
  <form name="removeuser" action="<?php echo Horde::selfUrl() ?>" 
method="post">
  <input type="hidden" name="form" value="remove" />
+<input type="hidden" name="user_name" value="<?php echo 
htmlspecialchars($f_user_name) ?>" />
  <?php Horde_Util::pformInput() ?>

  <h1 class="header">

------------------------------------------------------------

Saved Queries